## rootskel 1.133+11.0trisquel0

=== debian/changelog ===
rootskel (1.133+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 07 Sep 2022 15:32:04 +0000

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), linux-libc-dev (>= 2.6.38) [linux-any]
Vcs-Browser: https://salsa.debian.org/installer-team/rootskel
Vcs-Git: https://salsa.debian.org/installer-team/rootskel.git

Package: rootskel
Package-Type: udeb
Architecture: any
Depends: di-utils (>= 1.66), udev-udeb (>= 0.125-6) [linux-any] | devd-udeb [kfreebsd-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

## rootskel 1.134

=== debian/changelog ===
rootskel (1.134) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * src/sbin/reopen-console-linux: Use tty1 instead of tty0, to fix ^C.
  * src/usr/lib/finish-install.d/07rootskel: Use ':' in chown

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 18 Jul 2022 14:27:38 +0200

## rootskel 1.136

=== src/usr/share/Makefile ===
dir = usr/share

subdirs = \
	rootskel

include ../../../Makefile.inc

=== debian/changelog ===
rootskel (1.136) unstable; urgency=medium

  * src/lib/debian-installer.d/S40term-linux: Fix TERM set by busybox' init when
    running on the VT while the default console was serial. (Closes: #1036952)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Jun 2023 19:31:55 +0200

rootskel (1.135) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev and linux-libc-dev.
    + rootskel: Drop versioned constraint on di-utils and udev-udeb in Depends.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Samuel Thibault ]
  * reopen-console-linux: When speakup is requested, prefer tty1 which is the
    only console that speakup can read.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 15 Feb 2023 00:21:19 +0100

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper-compat (= 13), linux-libc-dev [linux-any]
Vcs-Browser: https://salsa.debian.org/installer-team/rootskel
Vcs-Git: https://salsa.debian.org/installer-team/rootskel.git

Package: rootskel
Package-Type: udeb
Architecture: any
Depends: di-utils, udev-udeb [linux-any] | devd-udeb [kfreebsd-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
Description: Skeleton root filesystem used by debian-installer

## rootskel 1.138

=== src/Makefile ===
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

dir =

subdirs = \
	etc \
	lib \
	sbin \
	usr \
	var

subdirs_empty = \
	dev \
	media \
	initrd \
	mnt \
	proc \
	run \
	sys

ifeq ($(DEB_HOST_ARCH_OS),linux)
  files_exec = \
	init
endif

include ../Makefile.inc

=== src/lib/Makefile ===
dir = lib

subdirs = \
	debian-installer \
	debian-installer.d \
	debian-installer-startup.d

include ../../Makefile.inc

=== src/sbin/Makefile ===

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

dir = sbin

files_exec = \
	debian-installer \
	debian-installer-startup \
	shutdown \
	init:init-$(DEB_HOST_ARCH_OS) \
	reopen-console:reopen-console-$(DEB_HOST_ARCH_OS) \
	steal-ctty

ifeq ($(DEB_HOST_ARCH_OS),linux)
  files_exec += \
	console-type \
	get-real-console-linux
endif

console-type: console-type.c
	$(CC) -Os -Wall console-type.c -o console-type

get-real-console-linux:
	$(CC) -Os -Wall get-real-console-linux.c -o get-real-console-linux

steal-ctty: steal-ctty.c
	$(CC) -Os -Wall steal-ctty.c -o steal-ctty

ifeq ($(DEB_HOST_ARCH_OS),linux)
build: console-type get-real-console-linux steal-ctty
else
build: steal-ctty
endif

clean:
	rm -f console-type get-real-console-linux steal-ctty

include ../../Makefile.inc

=== src/lib/debian-installer-startup.d/Makefile ===
dir = lib/debian-installer-startup.d

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files = \
	S10syslog \
	S20templates \
	S35term \
	S50entropy-source

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
    files += \
	S40framebuffer-module-linux-x86
   endif
  
  ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
    files += \
	S05fancontrol-linux-powerpc \
	S45keyboard-linux-powerpc
  endif

  ifneq (,$(filter alpha,$(DEB_HOST_ARCH_CPU)))
    files += \
	S40framebuffer-module-linux-alpha \
	S04countcpus-linux-alpha
  endif

  ifneq (,$(filter hppa,$(DEB_HOST_ARCH_CPU)))
    files += \
	S04countcpus-linux-hppa
  endif

  ifneq (,$(filter arm armel armhf,$(DEB_HOST_ARCH_CPU)))
    files += \
	S40framebuffer-module-linux-armel \
	S99signal-status
  endif

  files += \
	S01mount \
	S02module-params \
	S37speakup
endif

include ../../../Makefile.inc

=== src/lib/debian-installer.d/Makefile ===
dir = lib/debian-installer.d

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files += \
	S30term \
	S60frontend \
	S65theme \
	S70menu \
	S72menu-exit

ifeq ($(DEB_HOST_ARCH_CPU),sparc)
  files += \
	S34framebuffer-linux-sparc
endif


ifeq ($(DEB_HOST_ARCH_OS),linux)
  FRAMEBUFFER = 1
  ifeq ($(DEB_HOST_ARCH_CPU),s390)
    FRAMEBUFFER = 0
  endif
  ifeq ($(DEB_HOST_ARCH_CPU),s390x)
    FRAMEBUFFER = 0
  endif

  ifneq ($(FRAMEBUFFER),0)
    files += \
	S35framebuffer-linux
  endif

  files += \
	S20speakup \
	S40term-linux
endif
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  files += \
  	S40term-hurd
endif

include ../../../Makefile.inc

=== src/usr/lib/Makefile ===
dir = usr/lib

subdirs = \
	finish-install.d

include ../../../Makefile.inc

=== src/usr/lib/finish-install.d/Makefile ===
dir = usr/lib/finish-install.d

files_exec = 07rootskel

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel (1.138) unstable; urgency=medium

  * Work around haveged's failure to start by ensuring the presence of
    /dev/shm where it's expecting to manage its haveged_sem named
    semaphore, via sem_open(). (See: #1087324)

 -- Cyril Brulebois <kibi@debian.org>  Thu, 26 Dec 2024 18:38:13 +0100

rootskel (1.137) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Add hurd-amd64 case.

  [ Aurelien Jarno ]
  * Drop kfreebsd support.

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 10 Sep 2024 21:53:57 +0200

=== debian/control ===
--- 
+++ 
@@ -10,5 +10,5 @@
 Package: rootskel
 Package-Type: udeb
 Architecture: any
-Depends: di-utils, udev-udeb [linux-any] | devd-udeb [kfreebsd-any], freebsd-utils-udeb [kfreebsd-any], ${misc:Depends}
+Depends: di-utils, udev-udeb [linux-any], ${misc:Depends}
 Description: Skeleton root filesystem used by debian-installer

## rootskel 1.138trisquel1

=== debian/changelog ===
rootskel (1.138trisquel1) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 17 Apr 2025 04:55:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rootskel
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Colin Watson <cjwatson@debian.org>, Bastian Blank <waldi@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper-compat (= 13), linux-libc-dev [linux-any]
 Vcs-Browser: https://salsa.debian.org/installer-team/rootskel

## rootskel 1.139

=== src/Makefile ===
--- 
+++ 
@@ -4,8 +4,6 @@
 
 subdirs = \
 	etc \
-	lib \
-	sbin \
 	usr \
 	var

=== src/usr/Makefile ===
dir = usr

subdirs = \
	lib \
	sbin \
	share

include ../../Makefile.inc

=== src/usr/lib/Makefile ===
dir = usr/lib

subdirs = \
	debian-installer \
	debian-installer.d \
	debian-installer-startup.d \
	finish-install.d

include ../../../Makefile.inc

=== src/usr/sbin/Makefile ===

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

dir = usr/sbin

files_exec = \
	debian-installer \
	debian-installer-startup \
	shutdown \
	init:init-$(DEB_HOST_ARCH_OS) \
	reopen-console:reopen-console-$(DEB_HOST_ARCH_OS) \
	steal-ctty

ifeq ($(DEB_HOST_ARCH_OS),linux)
  files_exec += \
	console-type \
	get-real-console-linux
endif

console-type: console-type.c
	$(CC) -Os -Wall console-type.c -o console-type

get-real-console-linux:
	$(CC) -Os -Wall get-real-console-linux.c -o get-real-console-linux

steal-ctty: steal-ctty.c
	$(CC) -Os -Wall steal-ctty.c -o steal-ctty

ifeq ($(DEB_HOST_ARCH_OS),linux)
build: console-type get-real-console-linux steal-ctty
else
build: steal-ctty
endif

clean:
	rm -f console-type get-real-console-linux steal-ctty

include ../../../Makefile.inc

=== src/usr/lib/debian-installer-startup.d/Makefile ===
dir = usr/lib/debian-installer-startup.d

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files = \
	S10syslog \
	S20templates \
	S35term \
	S50entropy-source

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
    files += \
	S40framebuffer-module-linux-x86
   endif

  ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
    files += \
	S05fancontrol-linux-powerpc \
	S45keyboard-linux-powerpc
  endif

  ifneq (,$(filter alpha,$(DEB_HOST_ARCH_CPU)))
    files += \
	S40framebuffer-module-linux-alpha \
	S04countcpus-linux-alpha
  endif

  ifneq (,$(filter hppa,$(DEB_HOST_ARCH_CPU)))
    files += \
	S04countcpus-linux-hppa
  endif

  ifneq (,$(filter arm armel armhf,$(DEB_HOST_ARCH_CPU)))
    files += \
	S40framebuffer-module-linux-armel \
	S99signal-status
  endif

  files += \
	S01mount \
	S02module-params \
	S37speakup
endif

include ../../../../Makefile.inc

=== src/usr/lib/debian-installer.d/Makefile ===
dir = usr/lib/debian-installer.d

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files += \
	S30term \
	S60frontend \
	S65theme \
	S70menu \
	S72menu-exit

ifeq ($(DEB_HOST_ARCH_CPU),sparc)
  files += \
	S34framebuffer-linux-sparc
endif


ifeq ($(DEB_HOST_ARCH_OS),linux)
  FRAMEBUFFER = 1
  ifeq ($(DEB_HOST_ARCH_CPU),s390)
    FRAMEBUFFER = 0
  endif
  ifeq ($(DEB_HOST_ARCH_CPU),s390x)
    FRAMEBUFFER = 0
  endif

  ifneq ($(FRAMEBUFFER),0)
    files += \
	S35framebuffer-linux
  endif

  files += \
	S20speakup \
	S40term-linux
endif
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  files += \
	S40term-hurd
endif

include ../../../../Makefile.inc

=== src/usr/lib/debian-installer/Makefile ===
dir = usr/lib/debian-installer

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files = \
	init-debug

files_exec = \
	exit:exit-$(DEB_HOST_ARCH_OS) \
	exit-command \
	menu

ifneq (,$(findstring :$(DEB_HOST_ARCH):,:s390:s390x:))
  files += \
	detect-console:detect-console-linux-s390
else
  files += \
	detect-console:detect-console-$(DEB_HOST_ARCH_OS)
endif

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel (1.139) unstable; urgency=medium

  * Team upload.
  * switch to 'usr/' prefixed install paths (closes: #1122358)

 -- Philip Hands <phil@hands.com>  Fri, 12 Dec 2025 14:48:08 +0100
